﻿@using System.Web.UI.WebControls;
<table>
    <tr>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Part No";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PART_NO2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 150;
                    settings.Properties.MaxLength = 15;
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Handling Type";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_HANDLING_TYPE2";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 150;
                            settings.SelectedIndex = -1;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.TextFormatString = "{1}";
                            settings.Properties.ValueField = "SYSTEM_CD";
                            settings.Properties.TextField = "SYSTEM_VALUE";
                            //settings.Properties.Columns.Add("TRANSPORTATON_CD", "TRANSPORTATON_CD", 130);
                            //settings.Properties.Columns.Add("TRANSPORTATON_DESC", "TRANSPORTATON_DESC", 550);
                        }).BindList(@Model.HANDLING_TYPEs).GetHtml()
            @**@
        </td>
    </tr>
    <tr>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    //remaks agi base on DR
                    //label.Text = "*Order Type";
                    label.Text = "Order Type";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_ORDER_TYPE2";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 150;
                            settings.SelectedIndex = -1;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueType = typeof(string);
                            //settings.Properties.ValueField = "BUYER_ORDER_TYPE";
                            //settings.Properties.TextField = "BUYER_ORDER_TYPE";

                        }).BindList(@Model.OrderTypes).GetHtml()
            @**@
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Finish Case Flag";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_FINISH_CASE_FLAG2";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 150;
                            settings.SelectedIndex = -1;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.TextFormatString = "{1}";
                            settings.Properties.ValueField = "SYSTEM_CD";
                            settings.Properties.TextField = "SYSTEM_VALUE";
                            //settings.Properties.Columns.Add("TRANSPORTATON_CD", "TRANSPORTATON_CD", 130);
                            //settings.Properties.Columns.Add("TRANSPORTATON_DESC", "TRANSPORTATON_DESC", 550);
                        }).BindList(@Model.Finish_Case_Flags).GetHtml()
            @**@
        </td>
    </tr>
    <tr>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Buyer PD";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_BUYER_PD2";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 150;
                            settings.SelectedIndex = -1;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueField = "BUYER_PD_CD";
                            settings.Properties.Columns.Add("BUYER_PD_CD", "Buyer PD", 60);
                            settings.Properties.Columns.Add("DESCRIPTION", "Description", 210);
                        }).BindList(@Model.BuyerPDs).GetHtml()
            @**@
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Deleteion Flag";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @*@Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "I_DELETION_FLAG";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 150;
                settings.Properties.MaxLength = 1;
                settings.Enabled = false;
            }).GetHtml()*@
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_DELETION_FLAG";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 150;
                            settings.SelectedIndex = -1;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.TextFormatString = "{0}";
                        }).BindList(@ViewData["DeletionFlags"]).GetHtml()
        </td>

    </tr>
    <tr>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Transp Code";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_TRANSPORTATION_CD2";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 150;
                            settings.SelectedIndex = -1;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueField = "TRANSPORTATION_CD";
                            settings.Properties.Columns.Add("TRANSPORTATION_CD", "Transp Code", 50);
                            settings.Properties.Columns.Add("TRANSPORTATION_DESC", "Description", 75);
                        }).BindList(@Model.Transporations).GetHtml()
            @*.BindList(ViewData["Transporations"])*@
        </td>
        <td align="right" colspan="2" style="padding:10px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdSave";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Save";
                    edtSetting.ClientSideEvents.Click = "onSave";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLEAR");
                }).GetHtml()
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdCancel";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Cancel";
                    edtSetting.ClientSideEvents.Click = "OnCancel";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLEAR");
                }).GetHtml()
        </td>
    </tr>
</table>
@Html.Partial("_PartialHideForm")
